> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# project のセットアップ可用性を確認する

> 選択した作成またはインポートのモードで、プロキシモデル名と W&B プロジェクトを接続できるかどうかを確認します。



## OpenAPI

````yaml ja/openapi/model-distillation/management.openapi.yaml GET /tasks/availability
openapi: 3.1.0
info:
  title: CoreWeave Model Distillation Management API
  version: 1.0.0
  description: |
    プロバイダー、project（APIパスではタスクと呼ばれます）、ルーティングバージョン、
    データセット、再ラベル付け、ファインチューン、評価、Analyticsを管理します。これは
    Model Distillationでも使用されるAPIです。
servers:
  - url: https://distillation.training.wandb.ai/v1
    description: 本番
security:
  - WandbCredential: []
tags:
  - name: Providers
    description: OpenAI互換エンドポイント、認証情報、モデルカタログ、料金。
  - name: Tasks
    description: 安定したタスクアイデンティティとタスクレベルの情報。
  - name: Routing
    description: バージョン管理されたモデルターゲット、重み、リクエストパラメーター。
  - name: Datasets
    description: 再現可能なデータスナップショット、エントリ、再ラベル付け、再利用可能なモデル出力。
  - name: Fine-tunes
    description: 教師ありファインチューニングジョブとホスト型モデル アーティファクト。
  - name: Evaluations
    description: ヘッドツーヘッド、完全一致、分類の評価。
  - name: Analytics
    description: タスク トラフィック、トークン、エラー、推定コストの読み取りモデル。
  - name: UI preferences
    description: UIで使用されるタスクごとの表示設定。
paths:
  /tasks/availability:
    parameters:
      - $ref: '#/components/parameters/WandbEntity'
    get:
      tags:
        - Tasks
      summary: project を設定できるか確認
      description: 選択した作成またはインポートのモードで、プロキシモデル名と W&B プロジェクトを接続できるかどうかを確認します。
      operationId: getProjectSetupAvailability
      parameters:
        - name: alias
          in: query
          description: 確認対象のプロキシモデルのエイリアス。
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]{1,64}$
        - name: project
          in: query
          description: 確認対象の W&B プロジェクト。
          required: true
          schema:
            type: string
            minLength: 1
        - name: mode
          in: query
          description: W&B プロジェクトを作成するか、インポートするか。
          required: true
          schema:
            type: string
            enum:
              - create
              - import
      responses:
        '200':
          description: リクエストされた project の設定が利用可能かどうか。
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    required:
                      - available
                    properties:
                      available:
                        const: true
                  - type: object
                    required:
                      - available
                      - reason
                      - message
                    properties:
                      available:
                        const: false
                      reason:
                        type: string
                        enum:
                          - proxy_model_exists
                          - project_claimed
                          - wandb_project_exists
                          - wandb_project_not_found
                      message:
                        type: string
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    WandbEntity:
      name: Wandb-Entity
      in: header
      required: false
      description: アクセス可能な個人またはチーム entity。省略すると、認証済みユーザーのデフォルトの entity を使用します。
      schema:
        type: string
  responses:
    Error:
      description: リクエストが失敗しました。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
      example:
        error:
          message: Task 'missing' not found in entity 'your-team'
          type: not_found
  securitySchemes:
    WandbCredential:
      type: http
      scheme: bearer
      bearerFormat: W&B API key
      description: W&B APIキー。

````

## Related topics

- [データセットをアップロードする](/ja/model-distillation/studio/datasets-upload.md)
